type: google.api.Service
config_version: 3
name: testing.googleapis.com
title: Cloud Testing API

apis:
- name: google.devtools.testing.v1.ApplicationDetailService
- name: google.devtools.testing.v1.TestEnvironmentDiscoveryService
- name: google.devtools.testing.v1.TestExecutionService

documentation:
  summary: |-
    Allows developers to run automated tests for their mobile applications on
    Google infrastructure.

authentication:
  rules:
  - selector: google.devtools.testing.v1.ApplicationDetailService.GetApkDetails
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.devtools.testing.v1.TestEnvironmentDiscoveryService.GetTestEnvironmentCatalog
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.testing.v1.TestExecutionService.CancelTestMatrix
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.devtools.testing.v1.TestExecutionService.CreateTestMatrix
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.devtools.testing.v1.TestExecutionService.GetTestMatrix
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
